//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for IssueObjectType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>
 * &lt;simpleType name="IssueObjectType"&gt;
 *   &lt;restriction base="{}DecorObjectType"&gt;
 *     &lt;enumeration value="VS"/&gt;
 *     &lt;enumeration value="DE"/&gt;
 *     &lt;enumeration value="TM"/&gt;
 *     &lt;enumeration value="TR"/&gt;
 *     &lt;enumeration value="DS"/&gt;
 *     &lt;enumeration value="SC"/&gt;
 *     &lt;enumeration value="IS"/&gt;
 *     &lt;enumeration value="CS"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "IssueObjectType")
@XmlEnum(DecorObjectType.class)
public enum IssueObjectType {


    /**
     * Objekt mit dem Problem ist ein Value Set
     * 
     */
    VS,

    /**
     * Objekt mit dem Problem ist ein Datenelement
     * 
     */
    DE,

    /**
     * Objekt mit dem Problem ist ein Template
     * 
     */
    TM,

    /**
     * Objekt mit dem Problem ist eine Transaktion
     * 
     */
    TR,

    /**
     * Objekt mit dem Problem ist ein Datensatz
     * 
     */
    DS,

    /**
     * Objekt mit dem Problem ist ein Szenario
     * 
     */
    SC,

    /**
     * Objekt relatiert mit ein Issue
     * 
     */
    IS,

    /**
     * Codesystem
     * 
     */
    CS;

    public String value() {
        return name();
    }

    public static IssueObjectType fromValue(String v) {
        return valueOf(v);
    }

}
